#
# spec file for package amaya (Version 5.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake libjpeg libpng libz openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         amaya
Copyright:    distributable
Group:        X11/Applications/Internet
Provides:     web_browser
Autoreqprov:  on
Summary:      WebBrowser by W3Consortium
Version:      5.1
Release:      52
URL:          http://www.w3.org/Amaya/
Source: ftp://ftp.w3.org/pub/amaya/amaya-src-%{version}.tar.bz2
Source1: ftp://ftp.w3.org/pub/amaya/English.tar.bz2
#Patch: Amaya.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A real nice browser with good capabilities but still a beta release.
This is the current w3-testbed-client.

Authors:
--------
    Irene Vatton <irene.vatton@w3.org>

SuSE series: xap

%prep
%setup -n Amaya -a1
mv Ep*.dic dicopar
#%patch

%build
export CFLAGS="$RPM_OPT_FLAGS -D__NO_STRING_INLINES"
mkdir linux
cd linux
../configure --with-amaya --prefix=/usr/lib --exec-prefix=/usr \
             --enable-java
make all

%install
#touch config/en-javamsg
#touch config/fr-javamsg
#touch config/java.properties
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}
cd linux
make prefix=$RPM_BUILD_ROOT/usr/lib \
     exec_prefix=$RPM_BUILD_ROOT/usr install
ln -sf ../lib/Amaya/applis/bin/amaya $RPM_BUILD_ROOT/usr/bin/amaya

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%doc amaya/COPYRIGHT README.amaya
/usr/bin/amaya*
/usr/lib/Amaya

%changelog -n amaya
* Mon Jul 16 2001 - rvasice@suse.cz
- update to 5.1
* Thu Apr 05 2001 - nadvornik@suse.cz
- update to 4.3.2
* Wed Mar 14 2001 - nadvornik@suse.cz
- update to 4.3
- moved amaya dir from /usr/share to /usr/lib, because
  it contains binaries.
* Mon Feb 26 2001 - nadvornik@suse.cz
- update to 4.2.1
* Fri Dec 01 2000 - nadvornik@suse.cz
- update to 4.1
* Tue Nov 14 2000 - nadvornik@suse.cz
- update to 4.0
- bzipped sources
* Wed Aug 30 2000 - nadvornik@suse.cz
- update to 3.2.1
* Tue Jun 20 2000 - schwab@suse.de
- Fix use of %%suse_update_config.
* Thu Apr 20 2000 - nadvornik@suse.cz
- update to 3.1
* Wed Apr 05 2000 - nadvornik@suse.cz
- update to 3.0
- added BuildRoot
- used suse_update_config macro
* Mon Jan 17 2000 - ro@suse.de
- update to 2.4
* Thu Nov 04 1999 - ro@suse.de
- update to 2.2
* Mon Sep 20 1999 - ro@suse.de
- added Provides web_browser
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Mon Jun 28 1999 - ro@suse.de
- update to 2.1
* Wed May 19 1999 - ro@suse.de
- always compile with -D__NO_STRING_INLINES
* Tue May 18 1999 - ro@suse.de
- removed kaffe from neededforbuild (would need src anyway)
- use -D__NO_STRING_INLINES for alpha
* Tue May 18 1999 - ro@suse.de
- update to 2.0a
* Tue Mar 30 1999 - ro@suse.de
- update to 1.4a
* Fri Nov 27 1998 - ro@suse.de
- update to 3.1b
- link static with jpeg / png / zlib from source-tree
  (installed zlib will not be found by configure otherwise)
* Wed Oct 07 1998 - ro@suse.de
- BETA only: hacked sysdep.h for gilbc:
  Thot/thotlib/include/sysdep.h
  Thot/w3c-libwww-*/Library/src/sysdep.h
* Thu Aug 06 1998 - ro@suse.de
- update to 1.3
* Thu May 07 1998 - fehr@suse.de
- add library -lXp for Motif 2.1
* Wed Apr 15 1998 - ro@suse.de
- version 1.2a seems stable for simple use
* Tue Oct 28 1997 - ro@suse.de
- first version 1.1b
